% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/daRawResults.r
\name{daRawResults}
\alias{daRawResults}
\title{Retrieve raw results for dominance analysis.}
\usage{
daRawResults(
  x,
  constants = c(),
  terms = NULL,
  fit.functions = "default",
  newdata = NULL,
  null.model = NULL,
  ...
)
}
\arguments{
\item{x}{a model.}

\item{constants}{a vector of parameter to be fixed on all analysis}

\item{terms}{vector of terms to be analyzed. By default, obtained using the formula of model}

\item{fit.functions}{name of functions to fit.}

\item{newdata}{optional data.frame, that update data used on original model}

\item{null.model}{Null model, for LMM models}
}
\value{
a list with this elements
\describe{
\item{fit.functions}{Name of fit indices}
\item{fits}{Increment on fit indices, when specific variable is added}
\item{base.fits}{Raw fit indices for each model}
\item{level}{Vector of levels, compatible with fits and base.fits}
}
}
\description{
Provides name functions, base fit values and
matrix for models vs predictors importance
}
\keyword{internal}
